<?php

class Inbox_EnvelopeController extends Inbox_Controller_Base
{
	public function init()
	{
		parent::init();
		$this->_columns = array(
			"Account" => null,
            "isNew" => null,
			"attachments" => null,
            "body" => null,
			"emailBcc" => null,
			"emailBodyHtml" => null,
			"emailCc" => null,
			"emailSubject" => null,
			"emailTo" => null,
            "emailFrom" => null
		);
	}

	public function indexAction(){
		$this->methodNotAllowed();
	}

	public function getAction(){
		$this->methodNotAllowed();
	}

	public function putAction(){
		$this->methodNotAllowed();
	}

	public function deleteAction(){
		$this->methodNotAllowed();
	}

	public function postAction(){
		$this->populateParameters();
		$compose = new compose( array('Account' => $this->_Account, 'helper' => $this->_helper, 'view' => $this->view) );
		$arr = $compose->sendMessage( $this->_restParameters );
		return $this->renderJson( $arr );
	}
}
?>